<?php
include('../includes/validador.php');
include('../conexiones/conex.php');


$matricula = $_POST['matricula'];
$idalum = $_POST['idalumno'];
$curso = $_POST['curso'];
$anho = $_POST['anho'];
$meses = $_POST['mes_pago'];
$mes = $meses[0];

$sqlCuota = "SELECT INTmatricula, intPersona, mesPago, monto_cuota, SUM(monto_pago) AS totalPG FROM pagos_cuotas WHERE intPersona = '$idalum' AND INTmatricula = '$matricula' AND mesPago = '$mes' AND estadoPago IS NULL";
$queryCuota = mysqli_query($con, $sqlCuota);
$fetchCuota = mysqli_fetch_assoc($queryCuota);

//SI YA EXISTE UN PAGO POR LA CUOTA
if($fetchCuota['INTmatricula'] == NULL){
	
	$datos = array(
		0 => "", //monto de la cuota
		1 => "", // diferencia, faltante por pagar
		2 => 'nuevo',
		3 => $sqlCuota
		);
	echo json_encode($datos);
	$con->close();
}else{

    
    $cuota = $fetchCuota['monto_cuota'];        
    $totalPagadoAct = $fetchCuota['totalPG'];   //MONTO ABONADO EN TOTAL POR LA CUOTA
    $difPagar = $cuota - $totalPagadoAct;       //DIFERENCIA FALTANTE POR PAGAR POR LA CUOTA
	
		if($difPagar > 0){ //si la diferencia a pagar es mayor a cero
			$datos = array(
				0 => 'Gs. '.number_format($cuota, 0, ',', "."), //monto de la cuota
				1 => 'Gs. '.number_format($difPagar, 0, ',', "."), // diferencia, faltante por pagar
				2 => 'consaldo'
				);
		}else{				//si tiene todo pagado
			$datos = array(
				0 => 'Gs. '.number_format($cuota, 0, ',', "."), //monto de la cuota
				1 => 'Gs. '.number_format($difPagar, 0, ',', "."), // diferencia, faltante por pagar
				2 => 'cancelado',
				//3 => $sqlCuota
				);
		}
		echo json_encode($datos);
		$con->close();
}
?>